#include <stdio.h>
#include <stdlib.h>

int main()
{

long int a,brojnovcanica=0,broj;
scanf("%qi",&broj);

while (broj>=1)
{

    a=broj%10;
    while(a/5>=1)
{
    a=a-5;
    brojnovcanica++;
}
    while(a/2>=1)
{
    a=a-2;
    brojnovcanica++;
}
    while(a/1>=1)
{
    a--;
    brojnovcanica++;
}
broj/=10;


}

printf("%i",brojnovcanica);





    return 0;
}